include/Zycore/Object.h(3)

NAME
include/Zycore/Object.h

SYNOPSIS

#include <Zycore/Status.h>
#include <Zycore/Types.h>

  Typedefs

typedef void(* ZyanMemberProcedure) (void *object)
typedef void(* ZyanConstMemberProcedure) (const void *object)
typedef ZyanStatus(* ZyanMemberFunction) (void *object)
typedef ZyanStatus(* ZyanConstMemberFunction) (const void *object)

Detailed Description

Defines some generic object-related datatypes.

Typedef Documentation

  typedef ZyanStatus(* ZyanConstMemberFunction) (const void *object)
Defines the ZyanConstMemberFunction function prototype.

Parameters
    object A pointer to the object.

Returns
    A zyan status code.

  typedef void(* ZyanConstMemberProcedure) (const void *object)
Defines the ZyanConstMemberProcedure function prototype.

Parameters
    object A pointer to the object.

  typedef ZyanStatus(* ZyanMemberFunction) (void *object)
Defines the ZyanMemberFunction function prototype.

Parameters
    object A pointer to the object.

Returns
    A zyan status code.

  typedef void(* ZyanMemberProcedure) (void *object)
Defines the ZyanMemberProcedure function prototype.

Parameters
    object A pointer to the object.

Author

Generated automatically by Doxygen for Zycore from the source code.